<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Treasure Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#signals">Signals</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classTreasure-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Treasure Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Treasure:</div>
<div class="dyncontent">
<div class="center"><img src="classTreasure__inherit__graph.png" border="0" usemap="#aTreasure_inherit__map" alt="Inheritance graph"/></div>
<map name="aTreasure_inherit__map" id="aTreasure_inherit__map">
<area shape="rect" title=" " alt="" coords="101,80,179,107"/>
<area shape="rect" title=" " alt="" coords="5,5,136,32"/>
<area shape="rect" href="classSerializable.html" title=" " alt="" coords="160,5,259,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Treasure:</div>
<div class="dyncontent">
<div class="center"><img src="classTreasure__coll__graph.png" border="0" usemap="#aTreasure_coll__map" alt="Collaboration graph"/></div>
<map name="aTreasure_coll__map" id="aTreasure_coll__map">
<area shape="rect" title=" " alt="" coords="101,80,179,107"/>
<area shape="rect" title=" " alt="" coords="5,5,136,32"/>
<area shape="rect" href="classSerializable.html" title=" " alt="" coords="160,5,259,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="signals"></a>
Signals</h2></td></tr>
<tr class="memitem:a3d694bc0b49ffc8c183802d95c193431"><td class="memItemLeft" align="right" valign="top"><a id="a3d694bc0b49ffc8c183802d95c193431"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>clicked</b> ()</td></tr>
<tr class="separator:a3d694bc0b49ffc8c183802d95c193431"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96ecd08353932f7ecc4c891491f69319"><td class="memItemLeft" align="right" valign="top"><a id="a96ecd08353932f7ecc4c891491f69319"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>clickedTreasure</b> (<a class="el" href="classTreasure.html">Treasure</a> *t)</td></tr>
<tr class="separator:a96ecd08353932f7ecc4c891491f69319"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a3bb124864d6e0ad4324a6bcf926ee399"><td class="memItemLeft" align="right" valign="top"><a id="a3bb124864d6e0ad4324a6bcf926ee399"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Treasure</b> (int value, TreasureType type)</td></tr>
<tr class="separator:a3bb124864d6e0ad4324a6bcf926ee399"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee44cb9c3d0601d0919aab1885ed1f1b"><td class="memItemLeft" align="right" valign="top"><a id="aee44cb9c3d0601d0919aab1885ed1f1b"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Treasure</b> (TreasureType type)</td></tr>
<tr class="separator:aee44cb9c3d0601d0919aab1885ed1f1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adaae90a908ac90ce04a601cf3927f22e"><td class="memItemLeft" align="right" valign="top"><a id="adaae90a908ac90ce04a601cf3927f22e"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Treasure</b> (const <a class="el" href="classTreasure.html">Treasure</a> &amp;t)</td></tr>
<tr class="separator:adaae90a908ac90ce04a601cf3927f22e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a849c447fc3ad1feaf78ac7abdbb26102"><td class="memItemLeft" align="right" valign="top"><a id="a849c447fc3ad1feaf78ac7abdbb26102"></a>
TreasureType&#160;</td><td class="memItemRight" valign="bottom"><b>getType</b> ()</td></tr>
<tr class="separator:a849c447fc3ad1feaf78ac7abdbb26102"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2168b6f4dc4c28c21110742200b10c41"><td class="memItemLeft" align="right" valign="top"><a id="a2168b6f4dc4c28c21110742200b10c41"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>getValue</b> ()</td></tr>
<tr class="separator:a2168b6f4dc4c28c21110742200b10c41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab579600c02df80927ca984cc9ddc2d33"><td class="memItemLeft" align="right" valign="top"><a id="ab579600c02df80927ca984cc9ddc2d33"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator==</b> (const <a class="el" href="classTreasure.html">Treasure</a> &amp;t)</td></tr>
<tr class="separator:ab579600c02df80927ca984cc9ddc2d33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5d9a04a458aa61f0266e3fb020c3946"><td class="memItemLeft" align="right" valign="top"><a id="aa5d9a04a458aa61f0266e3fb020c3946"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator!=</b> (const <a class="el" href="classTreasure.html">Treasure</a> &amp;t)</td></tr>
<tr class="separator:aa5d9a04a458aa61f0266e3fb020c3946"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dbbb81d200c5fba08ed700779c2a0f5"><td class="memItemLeft" align="right" valign="top"><a id="a8dbbb81d200c5fba08ed700779c2a0f5"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>toString</b> ()</td></tr>
<tr class="separator:a8dbbb81d200c5fba08ed700779c2a0f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a766735312eebca2c205ad69f8271f631"><td class="memItemLeft" align="right" valign="top"><a id="a766735312eebca2c205ad69f8271f631"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>height</b> () const</td></tr>
<tr class="separator:a766735312eebca2c205ad69f8271f631"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8994809d709c9a80abc9c47b0e831b82"><td class="memItemLeft" align="right" valign="top"><a id="a8994809d709c9a80abc9c47b0e831b82"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>width</b> () const</td></tr>
<tr class="separator:a8994809d709c9a80abc9c47b0e831b82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad842faefb1c07167e3413cce2f054272"><td class="memItemLeft" align="right" valign="top"><a id="ad842faefb1c07167e3413cce2f054272"></a>
QRectF&#160;</td><td class="memItemRight" valign="bottom"><b>boundingRect</b> () const</td></tr>
<tr class="separator:ad842faefb1c07167e3413cce2f054272"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09fc45b8f8c533509dbc2cd5e77a5232"><td class="memItemLeft" align="right" valign="top"><a id="a09fc45b8f8c533509dbc2cd5e77a5232"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>paint</b> (QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget)</td></tr>
<tr class="separator:a09fc45b8f8c533509dbc2cd5e77a5232"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb691c093fc11ff0bdd4533033c83a4a"><td class="memItemLeft" align="right" valign="top"><a id="aeb691c093fc11ff0bdd4533033c83a4a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>mousePressEvent</b> (QGraphicsSceneMouseEvent *event)</td></tr>
<tr class="separator:aeb691c093fc11ff0bdd4533033c83a4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabad04af882d2c9b40d040a8a1f30031"><td class="memItemLeft" align="right" valign="top"><a id="aabad04af882d2c9b40d040a8a1f30031"></a>
QVariant&#160;</td><td class="memItemRight" valign="bottom"><b>toVariant</b> () const</td></tr>
<tr class="separator:aabad04af882d2c9b40d040a8a1f30031"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab768f92964cc25dd1ec33c7b171f476c"><td class="memItemLeft" align="right" valign="top"><a id="ab768f92964cc25dd1ec33c7b171f476c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>fromVariant</b> (const QVariant &amp;variant)</td></tr>
<tr class="separator:ab768f92964cc25dd1ec33c7b171f476c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>headers/<a class="el" href="treasure_8h_source.html">treasure.h</a></li>
<li>src/treasure.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
